/**
 * Copyright (c) 2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.log.parser.api.exception;

/**
 * A required flow step field is missing
 * 
 * @author Christophe DENEUX - Linagora
 *
 */
public class FlowStepFieldInvalidOrMissingException extends FlowParserException {

    private static final long serialVersionUID = 7270332836958082495L;

    private static final String MESSAGE_PATTERN_MISSING = "The flow step field '%s' is missing.";

    private static final String MESSAGE_PATTERN_INVALID = "The flow step field '%s' has an invalid value ('%s').";

    public FlowStepFieldInvalidOrMissingException(final String flowStepFieldName, final String flowStepFieldValue) {
        super(flowStepFieldValue == null ? String.format(MESSAGE_PATTERN_MISSING, flowStepFieldName)
                : String.format(MESSAGE_PATTERN_INVALID, flowStepFieldName, flowStepFieldValue));
    }
}
