/**
 * Copyright (c) 2012 EBM WebSourcing, 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.log.parser.api.model;

/**
 * A flow ID.
 * 
 * @author Vincent Zurczak - Linagora
 */
public class FlowId implements Comparable<FlowId> {

    private String name;

    private long lastModification;

    /**
     * @return the name
     */
    public String getName() {
        return this.name;
    }

    /**
     * @param name
     *            the name to set
     */
    public void setName(final String name) {
        this.name = name;
    }

    /**
     * @return the lastModification
     */
    public long getLastModification() {
        return this.lastModification;
    }

    /**
     * @param lastModification
     *            the lastModification to set
     */
    public void setLastModification(final long lastModification) {
        this.lastModification = lastModification;
    }

    @Override
    public int hashCode() {
        return this.name == null ? 11 : this.name.hashCode();
    }

    @Override
    public boolean equals(final Object obj) {

        if (obj == null || !(obj instanceof FlowId))
            return false;

        final FlowId flowId = (FlowId) obj;
        if (this.name == null) {
            return flowId.name == null;
        } else {
            return this.name.equals(flowId.name);
        }
    }

    @Override
    public int compareTo(final FlowId o) {
        if (this.name.equals(o.name)) {
            return 0;
        }
        final int lastModificationDiff = Long.compare(lastModification, o.lastModification);
        if (lastModificationDiff == 0) {
            return name.compareTo(o.name);
        } else {
            return lastModificationDiff;
        }
    }
}