/**
 * Copyright (c) 2012 EBM WebSourcing, 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.log.parser.api.miscellaneous;

import java.io.File;
import java.util.Set;

import org.junit.Ignore;
import org.ow2.petals.log.parser.api.FlowBuilder;
import org.ow2.petals.log.parser.api.model.Flow;
import org.ow2.petals.log.parser.api.model.FlowId;

/**
 * This class illustrates how to use this library.
 * @author Pierre-Yves Gibello - EBM WebSourcing
 */
@Ignore
public class Sample {

    /**
     * @param args
     * @throws Exception
     */
    public static void main( String[] args ) throws Exception {

        // Get the directories that contain Petals logs.
        // This sample uses one single directory (one Petals node).
        File[] singleNodeLogDirectories =  TestUtils.findTestDirectories( "oneNodeWithoutDump" );

        // Create a flow builder instance.
        FlowBuilder flowBuilder = new FlowBuilder();
        flowBuilder.setLogDirectories( singleNodeLogDirectories );

        // List the flow IDs
        Set<FlowId> flows = flowBuilder.findFlowIds();
        if( flows.isEmpty()) {
        	System.out.println( "The flow list is not supposed to be empty." );
        	return;
        }

        int count = 1;
        String id = null;

        System.out.println( "Listing flow IDs:" );
        for( FlowId flow : flows ) {
            System.out.println( count++ + ": " + flow );
            id = flow.getName();
        }

        System.out.println("---------------------------------");

        // Build the entire flow
        Flow entireFlow = flowBuilder.parseFlow( id );
        System.out.println("---------------------------------");
        System.out.println( "Printing the entire flow:" );
        System.out.println( entireFlow );

        // The flow gives access to the root step.
        // Then, you only have to follow the tree.
        // A step has children, a parent, and step parts (begin, end, failure).
        // A step part has properties. That's all you need.
    }
}
